> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Journey Nodes

> Retrieve a list of journey nodes



## OpenAPI

````yaml get /journey_node
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /journey_node:
    get:
      tags:
        - Journey Node
      summary: List Journey Nodes
      description: Retrieve a list of journey nodes
      parameters:
        - name: id
          in: query
          description: Journey node ID
          schema:
            type: string
        - name: journey_version_id
          in: query
          description: Journey version ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: type
          in: query
          description: Node type
          schema:
            type: string
        - name: event_type
          in: query
          description: Event type for trigger nodes
          schema:
            type: string
        - name: extra_context_schema
          in: query
          description: Schema for additional context data
          schema:
            type: string
        - name: name
          in: query
          description: Node name
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/journey_node'
components:
  schemas:
    journey_node:
      type: object
      properties:
        id:
          type: string
          description: Journey node ID
          format: uuid
          default: random uuid
        journey_version_id:
          type: string
          description: Journey version ID
          format: uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        type:
          type: string
          description: Node type
          format: public.journey_node_type
          enum:
            - trigger
            - form
            - filter
            - wait_for_event
            - wait_until
            - wait_for_time
            - send_message
            - if_else
            - switch
            - set_conversation_status
            - move_conversation_to_inbox
            - set_conversation_is_spam
            - set_conversation_assignee
            - update_contact_list_membership
            - update_conversation_tag
            - add_conversation_comment
            - set_contact_value
            - set_deal_value
            - set_appointment_value
            - update_marketing_subscription
            - segment_filter
            - http_request
          nullable: true
        event_type:
          type: string
          description: Event type for trigger nodes
          format: public.journey_event_type
          enum:
            - contact_created
            - contact_changed
            - deal_created
            - deal_changed
            - appointment_created
            - appointment_changed
            - deal_won
            - deal_lost
            - appointment_confirmed
            - appointment_cancelled
            - message_inbound
            - appointment_started
            - appointment_ended
            - appointment_approaching
            - marketing_subscription_accepted
            - date
            - birthday
            - message_action_click
            - conversation_closed
            - conversation_reopened
            - http
            - review_request_submitted
            - review_submitted
            - form_completed
            - message_outbound
            - message_sending_error
            - custom_entity_created
            - custom_entity_changed
          nullable: true
        extra_context_schema:
          type: object
          description: Schema for additional context data
          format: jsonb
          nullable: true
        name:
          type: string
          description: Node name
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````